/* Pagination
   ---- */

.c-pagination {
	margin:20px auto;
	text-align:center;
}

.c-pagination .pagination > li {
	display: inline-block;
}

/* Pagination links
   ---- */

.c-pagination .pagination>li>a, 
.c-pagination .pagination>li>span {
    font-family: 'Roboto', sans-serif;
	font-weight:700;
	font-size:1.4rem;
	width: 34px;
	height: 34px;
	line-height:32px;
	text-align:center;
	margin:0 12.5px 12.5px 12.5px;
	padding:0;
	border-color: #b3ce27;
	color:#808285;
	-webkit-border-radius: 0px ;
	-moz-border-radius: 0px ;
	border-radius: 0px ;
    -webkit-transition: background-color 0.3s, color 0.3s ;
    -moz-transition: background-color 0.3s, color 0.3s ;
    -ms-transition: background-color 0.3s, color 0.3s ;
    -o-transition: background-color 0.3s, color 0.3s ;
    transition: background-color 0.3s, color 0.3s, color 0.3s ;
}

.c-pagination .pagination>li>a:focus,
.c-pagination .pagination>li>a:hover,
.c-pagination .pagination>li>span:focus,
.c-pagination .pagination>li>span:hover {
    color: #fff;
    background-color: #b3ce27;
    border-color: #b3ce27;
    -webkit-transition: background-color 0.3s, border-color 0.3s, color 0.3s ;
    -moz-transition: background-color 0.3s, border-color 0.3s, color 0.3s ;
    -ms-transition: background-color 0.3s, border-color 0.3s, color 0.3s ;
    -o-transition: background-color 0.3s, border-color 0.3s, color 0.3s ;
    transition: background-color 0.3s, border-color 0.3s, color 0.3s ;
}

.c-pagination .pagination>li:last-of-type>a, 
.c-pagination .pagination>li:last-of-type>span {
	margin-left: 0;
	margin-right: 0;
}

.c-pagination .pagination>li.c-current-page>a, 
.c-pagination .pagination>li.c-current-page>span {
	line-height:30px;
	border:none;
	border-bottom:solid 4px #808285;
}

.c-pagination .pagination>li.c-current-page>a:focus,
.c-pagination .pagination>li.c-current-page>a:hover,
.c-pagination .pagination>li.c-current-page>span:focus,
.c-pagination .pagination>li.c-current-page>span:hover {
    border-color: #b3ce27;
}

/* Arrows
   ---- */

.c-pagination .pagination a.c-pagination-icon {
    width: 34px;
    height: 34px;
	padding: 0;
	text-align:center;
	border:none;
    -webkit-transition: background-color 0.3s, color 0.3s ;
    -moz-transition: background-color 0.3s, color 0.3s ;
    -ms-transition: background-color 0.3s, color 0.3s ;
    -o-transition: background-color 0.3s, color 0.3s ;
    transition: background-color 0.3s, color 0.3s, color 0.3s ;
}

.c-pagination .pagination a.c-pagination-icon i {
	line-height:34px;
}

.c-pagination .pagination a.c-pagination-icon i:before {
	color: #b3ce27;
	font-size:2rem;
}

.c-pagination .pagination a.c-pagination-icon:focus ,
.c-pagination .pagination a.c-pagination-icon:hover {
    background-color: #E7EAEC;
    -webkit-transition: background-color 0.3s, color 0.3s ;
    -moz-transition: background-color 0.3s, color 0.3s ;
    -ms-transition: background-color 0.3s, color 0.3s ;
    -o-transition: background-color 0.3s, color 0.3s ;
    transition: background-color 0.3s, color 0.3s ;
}

/* Mobile
   ---- */

@media (max-width: 480px) {
	
	.c-pagination .pagination a.c-pagination-icon i {
		line-height:28px;
	}
	
	.c-pagination .pagination a.c-pagination-icon i:before {
		font-size: 1.8rem;
	}
	
	.c-pagination .pagination a.c-pagination-icon {
		width: 28px;
		height: 28px;
		margin-left: -2.5px;
		margin-right: 0;
	}
	
	.c-pagination .pagination>li>a, 
	.c-pagination .pagination>li>span {
		width: 28px;
		height: 28px;
		line-height:26px;
		margin: 0 2.5px 5px 2.5px;
	}

}

@media (min-width: 481px) and (max-width: 662px) {

	.c-pagination .pagination a.c-pagination-icon i {
		line-height:30px;
	}
	
	.c-pagination .pagination a.c-pagination-icon i:before {
		font-size: 1.8rem;
	}
	
	.c-pagination .pagination a.c-pagination-icon {
		width: 30px;
		height: 30px;
		margin-left: -7.5px;
		margin-right: 0;
	}
	
	.c-pagination .pagination>li>a, 
	.c-pagination .pagination>li>span {
		width: 30px;
		height: 30px;
		line-height:28px;
		margin: 0 7.5px 15px 7.5px;
	}

}